package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkMerchantproductEditRequest struct {
	/*
	   产品编辑入参     */
	Req *domain.AlibabaWdkMerchantproductEditMerchantProductRequest `json:"req,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantproductEditRequest) SetReq(v domain.AlibabaWdkMerchantproductEditMerchantProductRequest) *AlibabaWdkMerchantproductEditRequest {
	s.Req = &v
	return s
}

func (req *AlibabaWdkMerchantproductEditRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Req != nil {
		paramMap["req"] = util.ConvertStruct(*req.Req)
	}
	return paramMap
}

func (req *AlibabaWdkMerchantproductEditRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
